## vdr-plugin-xineliboutput 1.0.6~cvs20100502.0851

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# See the main source file 'xineliboutput.c' for copyright information and
# how to reach the author.
#
# $Id: Makefile,v 1.38.2.8 2009/08/13 11:12:36 phintuka Exp $
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = xineliboutput

_default: all

###
### check for xine-lib and X11
###

XINELIBOUTPUT_FB  = 0
XINELIBOUTPUT_X11 = 0
HAVE_XRENDER      = 0
HAVE_XDPMS        = 0
HAVE_XINERAMA     = 0
HAVE_DBUS_GLIB_1  = 0
HAVE_EXTRACTOR_H  = 0
APPLE_DARWIN      = 0
XINELIBOUTPUT_XINEPLUGIN = 0

# check for xine-lib
ifeq ($(shell (pkg-config libxine && echo 1 || echo 0)), 1)
    XINELIBOUTPUT_XINEPLUGIN = 1
else
    ifeq ($(shell (xine-config --cflags >/dev/null 2>&1 && echo "1") || echo "0"), 1)
        XINELIBOUTPUT_XINEPLUGIN = 1
    endif
endif

# check for X11 and Xrender extension
ifeq ($(XINELIBOUTPUT_XINEPLUGIN), 1)
    XINELIBOUTPUT_FB  = $(XINELIBOUTPUT_XINEPLUGIN)
    ifeq ($(shell (((echo "\#include <X11/Xlib.h>";echo "int main(int c,char* v[]) {return 0;}") > testx.c && gcc -c testx.c -o testx.o >/dev/null 2>&1) && echo "1") || echo "0" ; rm -f testx.* >/dev/null), 1)
        XINELIBOUTPUT_X11 = 1
        ifeq ($(shell (((echo "\#include <X11/extensions/Xrender.h>";echo "int main(int c,char* v[]) {return 0;}") > testx.c && gcc -c testx.c -o testx.o >/dev/null 2>&1) && echo "1") || echo "0" ; rm -f testx.* >/dev/null), 1)
            HAVE_XRENDER = 1
        else
            $(warning ********************************************************)
            $(warning XRender extension not detected ! HUD OSD disabled.      )
            $(warning ********************************************************)
        endif
        ifeq ($(shell (((echo "\#include <X11/Xlib.h>";echo "\#include <X11/extensions/dpms.h>";echo "int main(int c,char* v[]) {return 0;}") > testx.c && gcc -c testx.c -o testx.o >/dev/null 2>&1) && echo "1") || echo "0" ; rm -f testx.* >/dev/null), 1)
            HAVE_XDPMS = 1
        else
            $(warning XDPMS extension not detected. )
        endif
        ifeq ($(shell (((echo "\#include <X11/extensions/Xinerama.h>";echo "int main(int c,char* v[]) {return 0;}") > testx.c && gcc -c testx.c -o testx.o >/dev/null 2>&1) && echo "1") || echo "0" ; rm -f testx.* >/dev/null), 1)
            HAVE_XINERAMA = 1
        else
            $(warning Xinerama extension not detected. )
        endif
        ifeq ($(shell (pkg-config --exists dbus-glib-1 >/dev/null 2>&1 && echo "1") || echo "0"), 1)
            HAVE_DBUS_GLIB_1 = 1
        else
            $(warning dbus-glib-1 not detected. Disabling gnome-screensaver support. )
        endif
    else
        $(warning ********************************************************)
        $(warning X11 not detected ! X11 frontends will not be compiled.  )
        $(warning ********************************************************)
    endif
else
    $(warning ********************************************************)
    $(warning xine-lib not detected ! frontends will not be compiled. )
    $(warning ********************************************************)
endif

# check for Apple Darwin
ifeq ($(shell gcc -dumpmachine | grep -q 'apple-darwin' && echo "1" || echo "0"), 1)
    APPLE_DARWIN = 1
endif

# check for libexractor
ifeq ($(shell pkg-config libextractor && echo "1"), 1)
    HAVE_EXTRACTOR_H = 1
else
    $(warning libextractor not found.)
endif

#
# Override configuration here or in ../../../Make.config
#

USE_ICONV = 1
#XINELIBOUTPUT_X11        = 1
#HAVE_XRENDER             = 1
#HAVE_XDPMS               = 1
#HAVE_XINERAMA            = 1
#HAVE_DBUS_GLIB_1         = 1
#HAVE_EXTRACTOR_H         = 1
#XINELIBOUTPUT_FB         = 1
#XINELIBOUTPUT_XINEPLUGIN = 1
#XINELIBOUTPUT_VDRPLUGIN  = 1
#ENABLE_TEST_POSTPLUGINS  = 1
#NOSIGNAL_IMAGE_FILE=/usr/share/vdr/xineliboutput/nosignal.mpv
#STARTUP_IMAGE_FILE=/usr/share/vdr/xineliboutput/logodisplay.mpv


###
### The version number of this plugin (taken from the main source file):
###

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | cut -d'"' -f2)


###
### The C++ compiler and options:
###

CXX      ?= g++
CC       ?= gcc
OPTFLAGS ?=

ifeq ($(APPLE_DARWIN), 1)
    CXXFLAGS   ?= -O3 -pipe -Wall -Woverloaded-virtual -fPIC -g -fno-common -bundle -flat_namespace -undefined suppress
    CFLAGS     ?= -O3 -pipe -Wall -fPIC -g -fno-common -bundle -flat_namespace -undefined suppress
    LDFLAGS_SO ?= -fvisibility=hidden
else
    CXXFLAGS   ?= -O3 -pipe -Wall -Woverloaded-virtual -fPIC -g
    CFLAGS     ?= -O3 -pipe -Wall -fPIC -g
    LDFLAGS_SO ?= -shared -fvisibility=hidden
endif
LIBS_VDR ?=

###
### The directory environment:
###

VDRDIR  ?= ../../..
LIBDIR  ?= ../../lib
TMPDIR  ?= /tmp
BINDIR  ?= /usr/bin
DESTDIR ?= /

INSTALL ?= install

VDRINCDIR ?= $(VDRDIR)/include

###
### Allow user defined options to overwrite defaults:
###

-include $(VDRDIR)/Make.config
-include Make.config


###
### check for VDR
###

ifeq ($(APPLE_DARWIN), 1)
    VDRVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
    APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
else
    VDRVERSION = $(shell sed -ne '/define VDRVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' $(VDRDIR)/config.h)
    APIVERSION = $(shell sed -ne '/define APIVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' $(VDRDIR)/config.h)
endif

ifeq ($(strip $(VDRVERSION)),)
    $(warning ********************************************************)
    $(warning VDR not detected ! VDR plugin will not be compiled.     )
    $(warning ********************************************************)
    XINELIBOUTPUT_VDRPLUGIN = 0
else
    ifeq ($(strip $(APIVERSION)),)
        $(warning VDR APIVERSION missing, using VDRVERSION $(VDRVERSION) )
        APIVERSION = $(VDRVERSION)
    endif
    XINELIBOUTPUT_VDRPLUGIN = 1
endif


###
### The name of the distribution archive:
###

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)


###
### The name of executable and libraries
###

VDRSXFE      = vdr-sxfe
VDRFBFE      = vdr-fbfe
XINEINPUTVDR = xineplug_inp_xvdr.so
XINEPOSTAUTOCROP  = xineplug_post_autocrop.so
XINEPOSTSWSCALE = xineplug_post_swscale.so
XINEPOSTAUDIOCHANNEL = xineplug_post_audiochannel.so
XINEPOSTHEADPHONE = xineplug_post_headphone.so

###
### which programs and libs to build
###

VDRSXFE_EXEC =
VDRPLUGIN_SXFE_SO =
VDRFBFE_EXEC =
VDRPLUGIN_FBFE_SO =
XINEPOSTHEADPHONE_SO =
XINEINPUTVDR_SO =
XINEPLUGINDIR = ./
XINEPOSTAUTOCROP_SO =
XINEPOSTSWSCALE_SO =
XINEPOSTAUDIOCHANNEL_SO =
XINEPOSTHEADPHONE_SO =
VDRPLUGIN_SO =

ifeq ($(XINELIBOUTPUT_X11), 1)
    VDRSXFE_EXEC = $(VDRSXFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), 1)
        VDRPLUGIN_SXFE_SO = lib$(PLUGIN)-sxfe.so
    endif
endif
ifeq ($(XINELIBOUTPUT_FB), 1)
    VDRFBFE_EXEC = $(VDRFBFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), 1)
        VDRPLUGIN_FBFE_SO = lib$(PLUGIN)-fbfe.so
    endif
endif
ifeq ($(XINELIBOUTPUT_XINEPLUGIN), 1)
    XINEINPUTVDR_SO = $(XINEINPUTVDR)
    XINEPLUGINDIR   = $(shell (pkg-config libxine --atleast-version=1.1.90 && pkg-config libxine --variable=plugindir) || xine-config --plugindir)
    XINEPOSTAUTOCROP_SO = $(XINEPOSTAUTOCROP)
    XINEPOSTSWSCALE_SO = $(XINEPOSTSWSCALE)
    XINEPOSTAUDIOCHANNEL_SO = $(XINEPOSTAUDIOCHANNEL)
    ifeq ($(ENABLE_TEST_POSTPLUGINS), 1)
        XINEPOSTHEADPHONE_SO = $(XINEPOSTHEADPHONE)
    endif
endif
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), 1)
    VDRPLUGIN_SO = libvdr-$(PLUGIN).so
endif


###
### Includes and Defines (add further entries here):
###

INCLUDES  += -I$(VDRINCDIR)
LIBS_XINE += $(shell (pkg-config libxine --atleast-version=1.1.90 && pkg-config libxine --libs) || xine-config --libs)
LIBS_X11  += -L/usr/X11R6/lib -lX11 -lXv -lXext
ifeq ($(HAVE_XRENDER), 1)
# need -lm for ceil/floor in HUD OSD
    LIBS_X11  += -lXrender -lm
endif
ifeq ($(HAVE_XINERAMA), 1)
    LIBS_X11  += -lXinerama
endif

ifeq ($(APPLE_DARWIN), 1)
    INCLUDES  += -I/sw/include
    LIBDIRS   += -L/sw/lib
    LIBS      += $(LIBDIRS) -ljpeg -liconv
else
    LIBS      += -lrt
endif

DEFINES   += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' \
             -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 \
	     -DXINELIBOUTPUT_VERSION='"$(VERSION)"'
ifeq ($(HAVE_XRENDER), 1)
    DEFINES += -DHAVE_XRENDER=1
endif
ifeq ($(HAVE_XDPMS), 1)
    DEFINES += -DHAVE_XDPMS=1
endif
ifeq ($(HAVE_XINERAMA), 1)
    DEFINES += -DHAVE_XINERAMA=1
endif
ifeq ($(HAVE_EXTRACTOR_H), 1)
    DEFINES  += -DHAVE_LIBEXTRACTOR=1
    INCLUDES += $(shell pkg-config libextractor --cflags-only-I)
    LIBS_VDR += $(shell pkg-config libextractor --libs-only-L)
    LIBS_VDR += $(shell pkg-config libextractor --libs-only-l)
endif
ifeq ($(HAVE_DBUS_GLIB_1), 1)
    DEFINES       += -DHAVE_DBUS_GLIB_1=1
    LIBS_X11      += $(shell pkg-config --libs dbus-glib-1 2>/dev/null)
    INCLUDES_DBUS += $(shell pkg-config --cflags dbus-glib-1 2>/dev/null)
endif

# check for yaegp patch
#YAEPG = $(shell grep -q 'vidWin' \$(VDRINCDIR)/vdr/osd.h && echo "1")
#ifeq ($(YAEPG), 1)
#  DEFINES += -DYAEGP_PATCH
#endif
#DEFINES += $(shell grep -q 'vidWin' \$(VDRINCDIR)/vdr/osd.h && echo "-DYAEGP_PATCH")

ifeq ($(XINELIBOUTPUT_XINEPLUGIN), 1)
    CFLAGS += $(shell (pkg-config libxine --atleast-version=1.1.90 && pkg-config libxine --cflags) || xine-config --cflags)
endif

ifeq ($(ENABLE_TEST_POSTPLUGINS), 1)
    DEFINES += -DENABLE_TEST_POSTPLUGINS
endif

ifdef USE_ICONV
  DEFINES += -DUSE_ICONV=$(USE_ICONV)
endif
ifdef NOSIGNAL_IMAGE_FILE
  DEFINES += -DNOSIGNAL_IMAGE_FILE='"$(NOSIGNAL_IMAGE_FILE)"'
endif
ifdef STARTUP_IMAGE_FILE
  DEFINES += -DSTARTUP_IMAGE_FILE='"$(STARTUP_IMAGE_FILE)"'
endif


###
### configuration
###

#DEFINES += -DHAVE_XV_FIELD_ORDER


###
### The object files (add further files here):
###

ifeq ($(XINELIBOUTPUT_VDRPLUGIN), 1)
  OBJS = $(PLUGIN).o device.o frontend.o osd.o config.o menu.o setup_menu.o \
         i18n.o menuitems.o media_player.o equalizer.o \
         frontend_local.o frontend_svr.o \
         tools/cxsocket.o tools/udp_pes_scheduler.o \
         tools/backgroundwriter.o tools/playlist.o tools/http.o \
         tools/vdrdiscovery.o tools/time_pts.o tools.o \
         tools/metainfo_menu.o logdefs.o tools/rle.o
  OBJS_MPG  = black_720x576.o nosignal_720x576.o vdrlogo_720x576.o
else
  OBJS =
  OBJS_MPG =
endif

ifeq ($(XINELIBOUTPUT_X11), 1)
  OBJS_SXFE_SO = xine_sxfe_frontend.o xine/post.o logdefs.o
  OBJS_SXFE = xine_sxfe_frontend_standalone.o xine/post.o tools/vdrdiscovery.o logdefs.o
  ifeq ($(HAVE_DBUS_GLIB_1), 1)
    OBJS_SXFE_SO += tools/gnome_screensaver.o
    OBJS_SXFE    += tools/gnome_screensaver.o
  endif
else
  OBJS_SXFE_SO =
  OBJS_SXFE =
endif

ifeq ($(XINELIBOUTPUT_FB), 1)
  OBJS_FBFE_SO = xine_fbfe_frontend.o xine/post.o logdefs.o
  OBJS_FBFE = xine_fbfe_frontend_standalone.o xine/post.o tools/vdrdiscovery.o logdefs.o
else
  OBJS_FBFE_SO =
  OBJS_FBFE =
endif


###
### Implicit rules:
###

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<


###
### Dependencies:
###

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) $(OBJS_SXFE_SO:%.o=%.c) $(OBJS_FBFE_SO:%.o=%.c) > $@

-include $(DEPFILE)

DEFINES += -Wall


###
### Rules:
###

mpg2c: mpg2c.c
	$(CC) mpg2c.c -o $@

black_720x576.c: mpg2c black_720x576.mpg
	@./mpg2c black black_720x576.mpg black_720x576.c
nosignal_720x576.c: mpg2c nosignal_720x576.mpg
	@./mpg2c nosignal nosignal_720x576.mpg nosignal_720x576.c
vdrlogo_720x576.c: mpg2c vdrlogo_720x576.mpg
	@./mpg2c vdrlogo vdrlogo_720x576.mpg vdrlogo_720x576.c

xine_input_vdr.o: xine_input_vdr.c xine_input_vdr.h xine_osd_command.h nosignal_720x576.c logdefs.h
	$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(OPTFLAGS) xine_input_vdr.c
xine_input_http.o: xine_input_http.c

=== xine/BluRay/Makefile ===
#
# deps
#

BLURAY_INC_DIR ?= /usr/src/libbluray/src/

#
# select plugins
#

ENABLE_DEMUX_PLUGIN ?= yes

ifeq ($(shell grep BLURAY $(BLURAY_INC_DIR)/bluray.h > /dev/null && echo yes), yes)
    ENABLE_INPUT_PLUGIN ?= yes
else
    ENABLE_INPUT_PLUGIN ?= no
    $(warning libbluray not found)
endif

ifeq ($(shell pkg-config libxine --atleast-version=1.1.17 || echo "yes"), yes)
    ENABLE_SPU_PLUGIN ?= yes
else
    ENABLE_SPU_PLUGIN ?= no
    $(warning SPU plugin is included in xine-lib 1.1.17+)
endif

ifeq ($(shell pkg-config libxine --atleast-version=1.1.17.1 || echo "yes"), yes)
    ENABLE_PCM_PLUGIN ?= yes
else
    ENABLE_PCM_PLUGIN ?= no
    $(warning PCM plugin is included in xine-lib 1.1.17.1+)
endif

#
# compiler options
#

CFLAGS      += -O2 -fPIC
CFLAGS      += -Wall
CFLAGS      += -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS      += $(shell pkg-config libxine --cflags)
CFLAGS      += $(CFLAGS_BD)
INSTALL      = install

ifeq ($(ENABLE_INPUT_PLUGIN), yes)
CFLAGS_BD   ?= -I$(BLURAY_INC_DIR)
endif

#
# linker options
#

LIBS_XINE    = $(shell pkg-config libxine --libs)
LDFLAGS     += -shared -fvisibility=hidden

ifeq ($(ENABLE_INPUT_PLUGIN), yes)
LIBS_BD     ?= -L/usr/local/lib -lbluray
endif

#
# targets
#

DESTDIR           ?= /
XINEPLUGINDIR      = $(shell pkg-config libxine --variable=plugindir)

ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
    XINEDMXPLUGIN  = xineplug_dmx_mpeg_ts_hdmv.so
else
    $(warning Not building HDMV MPEG-TS demuxer plugin)
endif

ifeq ($(ENABLE_SPU_PLUGIN), yes)
    XINESPUPLUGIN = xineplug_decode_spuhdmv.so
else
    $(warning Not building HDMV SPU plugin)
endif

ifeq ($(ENABLE_INPUT_PLUGIN), yes)
    XINEINPUTPLUGIN= xineplug_inp_bluray.so
else
    $(warning Not building BluRay input plugin)
endif

ifeq ($(ENABLE_PCM_PLUGIN), yes)
    XINELPCMPLUGIN = xineplug_decode_lpcm_hdmv.so
else
    $(warning Not building BluRay PCM plugin)
endif

#
# object files
#

OBJS_XINEDMXPLUGIN   = demux_ts.o
OBJS_XINESPUPLUGIN   = decode_spuhdmv.o
OBJS_XINEINPUTPLUGIN = input_bluray.o
OBJS_XINELPCMPLUGIN  = xine_lpcm_decoder.o

#
# rules
#

all: $(XINEDMXPLUGIN) $(XINESPUPLUGIN) $(XINEINPUTPLUGIN) $(XINELPCMPLUGIN)

ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
$(XINEDMXPLUGIN): $(OBJS_XINEDMXPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) -o $@ $(OBJS_XINEDMXPLUGIN)
endif

ifeq ($(ENABLE_SPU_PLUGIN), yes)
$(XINESPUPLUGIN): $(OBJS_XINESPUPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) -o $@ $(OBJS_XINESPUPLUGIN)
endif

ifeq ($(ENABLE_INPUT_PLUGIN), yes)
$(XINEINPUTPLUGIN): $(OBJS_XINEINPUTPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) $(LIBS_BD) -o $@ $(OBJS_XINEINPUTPLUGIN)
endif

ifeq ($(ENABLE_PCM_PLUGIN), yes)
$(XINELPCMPLUGIN): $(OBJS_XINELPCMPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) -o $@ $(OBJS_XINELPCMPLUGIN)
endif

#
# targets
#

clean:
	@rm -rf *.o *.so *~

install: all uninstall
ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
	@$(INSTALL) -m 0644 $(XINEDMXPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
endif
ifeq ($(ENABLE_SPU_PLUGIN), yes)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
	@$(INSTALL) -m 0644 $(XINESPUPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
endif
ifeq ($(ENABLE_INPUT_PLUGIN), yes)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
	@$(INSTALL) -m 0644 $(XINEINPUTPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
endif
ifeq ($(ENABLE_PCM_PLUGIN), yes)
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
	@$(INSTALL) -m 0644 $(XINELPCMPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
endif

uninstall:
ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
endif
ifeq ($(ENABLE_SPU_PLUGIN), yes)
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
endif
ifeq ($(ENABLE_INPUT_PLUGIN), yes)
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
endif
ifeq ($(ENABLE_PCM_PLUGIN), yes)
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
endif

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.6~cvs20100502.0851-3) unstable; urgency=low

  * Fixed postrm bug

 -- Tobias Grimm <etobi@debian.org>  Tue, 08 Jun 2010 23:44:23 +0200

vdr-plugin-xineliboutput (1.0.6~cvs20100502.0851-2) unstable; urgency=low

  * Clean up build-depends (Closes: #581978)
    - dropped libxv-dev
    - dropped sharutils
    - dropped libmagick++9-dev | libmagick++-dev
    - dropped libvdpau-dev
    - added x11proto-core-dev
    - added libxinerama-dev
    - added libxrender-dev,
  * source/format 3.0 (quilt)
  * Removed unnecessary libxv linking

 -- Tobias Grimm <etobi@debian.org>  Mon, 24 May 2010 18:04:21 +0200

vdr-plugin-xineliboutput (1.0.6~cvs20100502.0851-1) unstable; urgency=low

  * New Upstream Snapshot
  * source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Sun, 02 May 2010 15:19:11 +0200

vdr-plugin-xineliboutput (1.0.6~cvs20100308.2122-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 16:37:03 +0200

vdr-plugin-xineliboutput (1.0.6~cvs20100308.2122-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Mon, 08 Mar 2010 22:33:46 +0100

vdr-plugin-xineliboutput (1.0.6~cvs20100306.1448-1) unstable; urgency=low

  * New upstream release - getting in sync with the upstream release
    versioning again (Closes: #571379)
    Remark: This is for VDR 1.6 only!

 -- Tobias Grimm <etobi@debian.org>  Sat, 06 Mar 2010 16:01:49 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100223.2049-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Tue, 23 Feb 2010 21:50:00 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100219.2148-1) unstable; urgency=low

  [ Thomas Schmidt ]
  * New Upstream Snapshot
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev

  [ Tobias Grimm ]
  * Updated standards version to 3.8.4 (no changes needed)

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Feb 2010 22:58:46 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100130.1112-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 30 Jan 2010 12:12:15 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100128.1850-1) unstable; urgency=low

  * New Upstream Snapshot
  * Install dektop/menu icons for vdr-sxfe / vdr-fbfe based on OppTupacShakur's
    packaging

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jan 2010 20:05:55 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100125.1922-1) unstable; urgency=low

  * New Upstream Snapshot
  * Don't let postinst fail, if there are no relevant settings in svdrphost.conf

 -- Tobias Grimm <etobi@debian.org>  Mon, 25 Jan 2010 20:19:25 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100121.1750-1) unstable; urgency=low

  * New Upstream Snapshot
  * Don't install custom no-signal image, use upstream version
  * Try to automatically take over svdrphosts.conf settings into
    allowed_hosts.conf
  * Dropped TODO - all done
  * Install /var/lib/vdr/plugins/xineliboutput, writable for the plugin
    (it writes a config there)

 -- Tobias Grimm <etobi@debian.org>  Fri, 22 Jan 2010 00:01:03 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100117.1236-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 17 Jan 2010 13:39:01 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100106.2318-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Thu, 07 Jan 2010 00:18:11 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100102.1601-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 02 Jan 2010 17:01:55 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20091215.2049-2) unstable; urgency=low

  * Build-depend on libvdpau-dev

 -- Tobias Grimm <etobi@debian.org>  Thu, 17 Dec 2009 10:17:24 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20091215.2049-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Tue, 15 Dec 2009 21:49:05 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20091016.1108-3) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552662)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:34:53 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20091016.1108-2) unstable; urgency=low

  * Fixed NEWS.Debian installation

 -- Tobias Grimm <etobi@debian.org>  Fri, 16 Oct 2009 13:53:49 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20091016.1108-1) unstable; urgency=low

  * New Upstream Snapshot (Closes: #551143)
  * Added note to NEWS.Debian about the deprecated demux:mpeg_block option
    (Closes: #550861)

 -- Tobias Grimm <etobi@debian.org>  Fri, 16 Oct 2009 13:31:04 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20091004.1123-1) unstable; urgency=low

  * New Upstream Snapshot
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Oct 2009 13:23:34 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090826.1640-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Wed, 26 Aug 2009 18:40:21 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090823.1048-1) unstable; urgency=low

  * New Upstream Snapshot
  * Fixed typo in README.Debian

 -- Tobias Grimm <etobi@debian.org>  Sun, 23 Aug 2009 12:48:17 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090725.1814-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 25 Jul 2009 21:33:42 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090717.1529-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Fri, 17 Jul 2009 17:30:00 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090716.2018-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Thu, 16 Jul 2009 22:18:45 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090711.0933-1) unstable; urgency=low

  * New Upstream Snapshot
  * Bumped standards version to 3.8.2


=== debian/control ===
Source: vdr-plugin-xineliboutput
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 5), cdbs, gettext, txt2man,
 vdr-dev (>= 1.6.0-16),
 x11proto-core-dev,
 libxine-dev (>= 1.1.12),
 libxext-dev,
 libjpeg-dev,
 libx11-dev,
 libdbus-glib-1-dev,
 libextractor-dev,
 libxinerama-dev,
 libxrender-dev
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
Homepage: http://sourceforge.net/projects/xineliboutput

Package: vdr-plugin-xineliboutput
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin for Xine based sofdevice frontends
 This VDR plugin provides an audio, video and control stream, that several
 libxine based local and remote frontends can use.

Package: libxineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine1-xvdr (= ${binary:Version}), libxine1-console
Description: Local framebuffer frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for framebuffer devices.

Package: libxineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine1-xvdr (= ${binary:Version}), libxine1-x, dbus
Description: Local X-Server frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for X, Xv or XvMC window systems.

Package: xineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine1-xvdr (= ${binary:Version}), libxine1-console
Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
 This frambuffer remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: xineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine1-xvdr (= ${binary:Version}), libxine1-x, dbus
Description: Remote X-Server frontend for vdr-plugin-xineliboutput
 This X/Xv/XvMc remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: libxine1-xvdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine:Depends}, libxine1-ffmpeg
Replaces: libxine-xvdr (<< 1.0.0~rc2-5)
Provides: libxine-xvdr
Conflicts: libxine-xvdr (<< 1.0.0~rc2-5)
Description: Xine input plugin for vdr-plugin-xineliboutput streams
 This plugin adds a new mrl "xvdr://" to Xine, which allows to play back
 streams provided by vdr-plugin-xineliboutput.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/dpatch.mk

DEB_INSTALL_CHANGELOGS_ALL = HISTORY

# install target directory for xine plugins
XINEPLUGINDIR = libxine1-xvdr/$(shell xine-config --plugindir)

MAKE_OPTIONS = DVBDIR=/usr VDRDIR=/usr/include/vdr LIBDIR=. \
               LOCALEDIR=debian/tmp/usr/share/locale \
               NOSIGNAL_IMAGE_FILE=/usr/share/libxine1-xvdr/nosignal.mpg \
               HAVE_DBUS_GLIB_1=yes

common-build-arch::
	$(MAKE) all $(MAKE_OPTIONS)

clean::
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -f libvdr-*.so.*
	rm -f vdr-sxfe.1 vdr-fbfe.1

common-binary-predeb-arch::
	sh /usr/share/vdr-dev/dependencies.sh
	dpkg -p libxine-dev | sed -re '/^Version:/! d; s/^Version: (([0-9]+\.){2}[0-9]+).*$$/xine:Depends=libxine1 (>= \1)/' \
	>> debian/libxine1-xvdr.substvars

install/vdr-plugin-xineliboutput::
	install -d debian/$(XINEPLUGINDIR)/post/
	install xineplug_inp_xvdr.so debian/$(XINEPLUGINDIR)/
	install xineplug_post_*.so debian/$(XINEPLUGINDIR)/post/

install/xineliboutput-sxfe:: manpages
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-sxfe.svg

install/xineliboutput-fbfe:: manpages
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-fbfe.svg

manpages:
	txt2man -s 1 -t vdr-sxfe -v "Remote X-Server frontend for vdr-plugin-xineliboutput" debian/vdr-sxfe.1.txt >vdr-sxfe.1
	txt2man -s 1 -t vdr-fbfe -v "Remote Framebuffer frontend for vdr-plugin-xineliboutput" debian/vdr-fbfe.1.txt >vdr-fbfe.1

VERSION_DATE = $(shell /bin/date --utc +%0Y%0m%0d.%0k%0M)
VERSION_ID = 1.0.6~cvs$(VERSION_DATE)
get-orig-source:
	echo Downloading vdr-live $(VERSION_ID) from cvs...
	cvs -z3 -d:pserver:anonymous@xineliboutput.cvs.sourceforge.net:/cvsroot/xineliboutput export -r xineliboutput-1_0_6 vdr-xineliboutput
	tar cvfz "../vdr-plugin-xineliboutput_$(VERSION_ID).orig.tar.gz" vdr-xineliboutput
	rm -rf vdr-xineliboutput
	dch -v "$(VERSION_ID)-1" "New Upstream Snapshot"

## vdr-plugin-xineliboutput 1.0.6+cvs20110410.1300

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.6+cvs20110410.1300-1) unstable; urgency=low

  * New Upstream Snapshot (Closes: #615635, #615791)
  * source/format 3.0 (quilt)
  * Build-Depend on vdr-dev (>= 1.7.17)
  * Updated debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Apr 2011 15:00:16 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20110325.1728-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Fri, 25 Mar 2011 18:28:49 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20110319.2357-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend to freeglut3-dev for OpenGL support

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Mar 2011 00:57:17 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20110213.0131-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sun, 13 Feb 2011 02:31:11 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20110105.1949-1) unstable; urgency=low

  * New Upstream Snapshot
  * Don't symlink the doc dirs, because dpkg isn't capable of replacing a
    directory with a symlink (see bug #406715)

 -- Tobias Grimm <etobi@debian.org>  Wed, 05 Jan 2011 20:50:15 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20101204.1657-1) unstable; urgency=low

  * New Upstream Snapshot
  * Switched to debhelper 7 and dropped cdbs
  * Install doc dir as symlink to libxine1-xvdr where possible
  * Updated README.Debian and install it only with the plugin package

 -- Tobias Grimm <etobi@debian.org>  Sat, 04 Dec 2010 17:57:39 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20101019.1826-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Tue, 19 Oct 2010 20:26:16 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20101003.1156-1) unstable; urgency=low

  * New Upstream Snapshot
  * Standards-Version: 3.9.1

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Oct 2010 13:56:19 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100618.2132-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Fri, 18 Jun 2010 23:32:22 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100608.2009-1) unstable; urgency=low

  * New Upstream Snapshot
  * Fixed postrm bug

 -- Tobias Grimm <etobi@debian.org>  Tue, 08 Jun 2010 22:09:31 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100524.1147-1) unstable; urgency=low

  * New Upstream Snapshot
  * Clean up build-depends (Closes: #581978)
    - dropped libxv-dev
    - dropped sharutils
    - dropped libmagick++9-dev | libmagick++-dev
    - added x11proto-core-dev
    - added libxinerama-dev
    - added libxrender-dev,
  * source/format 3.0 (quilt)

 -- Tobias Grimm <etobi@debian.org>  Mon, 24 May 2010 13:47:06 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100513.0630-1) unstable; urgency=low

  * New Upstream Snapshot
  * source/format 1.0
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Thu, 13 May 2010 08:37:40 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100308.2219-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:23:07 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100308.2219-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Mon, 08 Mar 2010 23:19:50 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20100306.2146-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 06 Mar 2010 23:10:54 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100306.1448-1) UNRELEASED; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 06 Mar 2010 15:48:39 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100227.2311-1) UNRELEASED; urgency=low

  * New Upstream Snapshot

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 28 Feb 2010 00:39:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 5), cdbs, gettext, txt2man,
- vdr-dev (>= 1.6.0-16),
+Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
+ vdr-dev (>= 1.7.17),
  x11proto-core-dev,
  libxine-dev (>= 1.1.12),
  libxext-dev,
@@ -13,8 +13,10 @@
  libdbus-glib-1-dev,
  libextractor-dev,
  libxinerama-dev,
- libxrender-dev
-Standards-Version: 3.8.4
+ libxrender-dev,
+ libvdpau-dev,
+ freeglut3-dev
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
 Homepage: http://sourceforge.net/projects/xineliboutput

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=/usr/lib LOCALEDIR=debian/tmp/usr/share/locale \
               NOSIGNAL_IMAGE_FILE=/usr/share/libxine1-xvdr/nosignal.mpg

%:
	dh $@

override_dh_auto_configure:
	./configure

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)
	txt2man -s 1 -t vdr-sxfe -v "Remote X-Server frontend for vdr-plugin-xineliboutput" debian/vdr-sxfe.1.txt >vdr-sxfe.1
	txt2man -s 1 -t vdr-fbfe -v "Remote Framebuffer frontend for vdr-plugin-xineliboutput" debian/vdr-fbfe.1.txt >vdr-fbfe.1

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -f vdr-sxfe.1 vdr-fbfe.1

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dpkg -p libxine-dev | sed -re '/^Version:/! d; s/^Version: (([0-9]+\.){2}[0-9]+).*$$/xine:Depends=libxine1 (>= \1)/' \
	>> debian/libxine1-xvdr.substvars
	dh_gencontrol

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTIONS)
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-sxfe.svg
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-fbfe.svg

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh

## vdr-plugin-xineliboutput 1.0.6+cvs20110417.2013

=== xine/BluRay/Makefile ===
--- 
+++ 
@@ -1,34 +1,30 @@
-#
-# deps
-#
-
-BLURAY_INC_DIR ?= /usr/src/libbluray/src/
-
 #
 # select plugins
 #
 
 ENABLE_DEMUX_PLUGIN ?= yes
 
-ifeq ($(shell grep BLURAY $(BLURAY_INC_DIR)/bluray.h > /dev/null && echo yes), yes)
+ifeq ($(shell pkg-config libbluray && echo yes), yes)
     ENABLE_INPUT_PLUGIN ?= yes
+    CFLAGS_BD ?= $(shell pkg-config libbluray --cflags)
+    LIBS_BD   ?= $(shell pkg-config libbluray --libs)
 else
     ENABLE_INPUT_PLUGIN ?= no
     $(warning libbluray not found)
 endif
 
-ifeq ($(shell pkg-config libxine --atleast-version=1.1.17 || echo "yes"), yes)
+ifeq ($(shell pkg-config libxine --atleast-version=1.1.19 || echo "yes"), yes)
     ENABLE_SPU_PLUGIN ?= yes
 else
     ENABLE_SPU_PLUGIN ?= no
-    $(warning SPU plugin is included in xine-lib 1.1.17+)
+    $(warning SPU plugin is included in xine-lib 1.1.19+)
 endif
 
-ifeq ($(shell pkg-config libxine --atleast-version=1.1.17.1 || echo "yes"), yes)
+ifeq ($(shell pkg-config libxine --atleast-version=1.1.18 || echo "yes"), yes)
     ENABLE_PCM_PLUGIN ?= yes
 else
     ENABLE_PCM_PLUGIN ?= no
-    $(warning PCM plugin is included in xine-lib 1.1.17.1+)
+    $(warning PCM plugin is included in xine-lib 1.1.18+)
 endif
 
 #
@@ -42,9 +38,6 @@
 CFLAGS      += $(CFLAGS_BD)
 INSTALL      = install
 
-ifeq ($(ENABLE_INPUT_PLUGIN), yes)
-CFLAGS_BD   ?= -I$(BLURAY_INC_DIR)
-endif
 
 #
 # linker options
@@ -52,10 +45,6 @@
 
 LIBS_XINE    = $(shell pkg-config libxine --libs)
 LDFLAGS     += -shared -fvisibility=hidden
-
-ifeq ($(ENABLE_INPUT_PLUGIN), yes)
-LIBS_BD     ?= -L/usr/local/lib -lbluray
-endif
 
 #
 # targets
@@ -133,19 +122,19 @@
 install: all uninstall
 ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
-	@$(INSTALL) -m 0644 $(XINEDMXPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
+	@$(INSTALL) -D -m 0644 $(XINEDMXPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
 endif
 ifeq ($(ENABLE_SPU_PLUGIN), yes)
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
-	@$(INSTALL) -m 0644 $(XINESPUPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
+	@$(INSTALL) -D -m 0644 $(XINESPUPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
 endif
 ifeq ($(ENABLE_INPUT_PLUGIN), yes)
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
-	@$(INSTALL) -m 0644 $(XINEINPUTPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
+	@$(INSTALL) -D -m 0644 $(XINEINPUTPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
 endif
 ifeq ($(ENABLE_PCM_PLUGIN), yes)
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
-	@$(INSTALL) -m 0644 $(XINELPCMPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
+	@$(INSTALL) -D -m 0644 $(XINELPCMPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
 endif
 
 uninstall:

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.6+cvs20110417.2013-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 22:13:49 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20110410.1300-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
- vdr-dev (>= 1.7.17),
+ vdr-dev (>= 1.7.18),
  x11proto-core-dev,
  libxine-dev (>= 1.1.12),
  libxext-dev,
